|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWhatsThisClickedEvent Class Reference
[QtGui module]

The QWhatsThisClickedEvent class provides an event that can be used to handle hyperlinks in a "What's This?" text. More...

     #include <QWhatsThisClickedEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QWhatsThisClickedEvent ( const QString & href )
- QString href () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QWhatsThisClickedEvent class provides an event that can be used to handle hyperlinks in a "What's This?" text.

See also QWhatsThis, QHelpEvent, and QStatusTipEvent.

## Member Function Documentation

### QWhatsThisClickedEvent::QWhatsThisClickedEvent ( const QString & href )

Constructs an event containing a URL specified by href when a link is clicked in a "What's This?" message.

See also href().

### QString QWhatsThisClickedEvent::href () const

Returns the URL that was clicked by the user in the "What's This?" text.